Get node statistics

Auth

Get statistics for nodes in a cluster. By default, all stats are returned. You can limit the returned information by using metrics.

Required privileges

Cluster privileges monitor manage

Path parameters

node_id union string | string[] optional

Comma-separated list of node IDs or names used to limit returned information.

Leave it out to use /_nodes/stats.

metric union string | string[] optional

Limits the information returned to the specific metrics.

Leave it out to use /_nodes/stats.

index_metric union string | string[] optional

Limit the information returned for indices metric to the specific index metrics. It can be used only if indices (or all) metric is specified.

Leave it out to use /_nodes/stats.

Query parameters

completion_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata and suggest statistics.

fielddata_fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in fielddata statistics.

fields union string | string[]

Comma-separated list or wildcard expressions of fields to include in the statistics.

groups boolean

Comma-separated list of search groups to include in the search statistics.

include_segment_file_sizes boolean · default: false

If true, the call reports the aggregated disk usage of each one of the Lucene index files (only applies if segment stats are requested).

level enum · default: node

Indicates whether statistics are aggregated at the node, indices, or shards level.

Values: cluster indices shards
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
types string[]

A comma-separated list of document types for the indexing index metric.

include_unloaded_segments boolean · default: false

If true, the response includes information from segments that are not loaded into memory.

Response

application/json
cluster_name string
nodes map string to object required
<string> object
adaptive_selection map string to object

Statistics about adaptive replica selection.

breakers map string to object

Statistics about the field data circuit breaker.

host string

Network host for the node, based on the network host setting.

ip union string | string[]

IP address and port for the node.

name string

Human-readable identifier for the node. Based on the node name setting.

roles enum[]

Roles assigned to the node.

Values: master data data_cold data_content data_frozen data_hot data_warm client ingest ml voting_only transform remote_cluster_client coordinating_only
script_cache map string to oneOf
thread_pool map string to object

Statistics about each thread pool, including current size, queue and rejected tasks.

timestamp number
transport_address string

Host and port for the transport layer, used for internal communication between nodes in a cluster.

attributes map string to string

Contains a list of attributes for the node.